**********
* PCPRDL *
**********

* Verwijderen produktienummer in de records van alle werkbestanden
* Dit nummer bestaat uit de productline en het bestelbonnummer
* Voor dat dit programma gestart kan worden moet de variabele
* cur:prod een andere waarde hebben dan '*'

USE &opdracht INDEX &opdracht 
FIND &cur:prod
IF .NOT. hist:file
   @ 7,5 SAY "DE GEGEVENS ZIJN NOG NIET OVERGESCHREVEN NAAR HET HISTORISCH BESTAND." 
   @ 8,5 SAY "U KUNT EVENTUEEL NU HET HUIDIGE PRODUKTIENUMMER VERWIJDEREN."
   STORE "." TO akk
   DO WHILE .NOT. (akk $ "JN")
      STORE "." TO akk
      @ 10,5 SAY "WILT U TOCH HET HUIDIGE PRODUKTIENUMMER VERWIJDEREN (J/N) " GET akk PICTURE "!"
      READ
      CLEAR GETS
   ENDDO
   @ 7,0
   @ 8,0
   @ 10,0 
ELSE
   STORE "J" TO akk
ENDIF
USE
IF akk = 'J' 
   STORE "." TO akk
   @ 7,13 SAY "U KUNT NU HET HUIDIGE PRODUKTIENUMMER VERWIJDEREN."           
   @ 8,4 SAY "LET OP : HIERNA ZIJN DE BIJBEHORENDE GEGEVENS NIET MEER BESCHIKBAAR !!!"
   @ 20,68 SAY "AKKOORD " GET akk PICTURE "!"
   READ
   CLEAR GETS
   DO WHILE .NOT. (akk $ "JN") 
      STORE "." TO akk 
      @ 20,68 SAY "AKKOORD " GET akk PICTURE "!"
      READ
      CLEAR GETS
   ENDDO

   IF akk = "J"
      @ 22,0 SAY "PRODUKTIENUMMER WORDT VERWIJDERD."
      SET EXACT ON

      USE &opdracht INDEX &opdracht
      FIND &cur:prod
      REPLACE prod:nr WITH '*'
      STORE STR(#,5) TO recno
      DELETE RECORD &recno

      USE &oplage INDEX &oplage
      FIND &cur:prod
      IF (#>0)
         DO WHILE (cur:prod = prod:nr) .AND. (.NOT. EOF) 
            REPLACE prod:nr WITH '*'
            STORE STR(#,5) TO recno
            DELETE RECORD &recno
            SKIP +1
         ENDDO
      ENDIF
      USE

      USE &planning INDEX &planning
      FIND &cur:prod
      REPLACE prod:nr WITH '*'
      STORE STR(#,5) TO recno
      DELETE RECORD &recno

      USE &offertes INDEX &offertes
      FIND &cur:prod
      IF (#>0)
         DO WHILE (cur:prod = prod:nr) .AND. (.NOT. EOF)
            REPLACE prod:nr WITH '*'
            STORE STR(#,5) TO recno
            DELETE RECORD &recno
            SKIP +1
         ENDDO
      ENDIF
      USE

      USE &calcdat INDEX &calcdat
      FIND &cur:prod
      REPLACE prod:nr WITH '*'
      STORE STR(#,5) TO recno
      DELETE RECORD &recno
   
      STORE '*' TO cur:prod
 
   ENDIF
   USE
   RELEASE recno,akk
   SAVE TO &memory
ENDIF akk
RETURN
*
* EINDE PROGRAMMA
* 